Subject: Re: mpc5xxx support (Was: Re: Proposed Kconfig update patch for help text)

From: Dan Malek <[email-masked]>
Date: Thu, 01 Apr 2004 11:58:14 -0500

Tom Rini wrote:

> In all seriousness, when the 52xx code for 2.4 was brought up, there
> were a number of objections to the Motorola provided code,

Does anyone actually use this code?  From the work I've done it appears
the FEC implements it's own DMA, other peripherals are used in programmed I/O
mode, and stuff I have done I've found it easier to just write my own
code manage the DMA.  IMHO we should just punt this stuff for Linux,
now that there is more public interest start collaborating on a better
solution, and maybe just use what Mot provided as documentation filler.
The Motorola solution seems like an attempt to be everything for everyone.

Thanks.

	-- Dan

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/